Get Fieldset by ID
Get a single Fieldset by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
fieldset_id
ID of the Fieldset.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
Reason the Fieldset was archived
archived
If the Fieldset is archived
availableRegistrationNamingOptions
The registration naming strategies available for entities of implementing schemas. Determines how entities are named when registered.
constraint
Uniqueness constraint configuration for registered entities of schemas that implement this fieldset.
Ensures that a specified combination of field values is unique across those entities. Null means no
constraint.
createdAt
DateTime the Fieldset was created
description
The description of this Fieldset.
displayName
The user-facing name of this fieldset.
fieldDefinitions
The field definitions that all schemas implementing this fieldset are required to include.
id
itemIdPrefix
Prefix string prepended to generated entity IDs. Setting this on a fieldset replaces the entity ID prefix on all implementing schemas.
itemType
The entity item type that schemas implementing this Fieldset contain (e.g. DNA_SEQUENCE, AA_SEQUENCE, MIXTURE). Null when the Fieldset declares no base bioentity type.
modifiedAt
DateTime the Fieldset was last modified
nameTemplate
Entity name template that auto-generates names for entities of implementing schemas when they are
registered. Used in conjunction with availableRegistrationNamingOptions. Null means no template.
organization
Organization the Fieldset is in
systemName
The machine-readable identifier for warehouse and API access.
Errors
400
Fieldset Get Request Bad Request Error
403
Fieldset Get Request Forbidden Error
404
Fieldset Get Request Not Found Error
429
Fieldset Get Request Too Many Requests Error
500
Fieldset Get Request Internal Server Error